package ${package};
import costo.kml2java.framework.*;
import costo.kml2java.framework.test.*;
import costo.kml2java.framework.kmllibs.*;
import static costo.kml2java.framework.kmllibs.KmeliaDefaultLib.*;

<#list imports?if_exists as import>
import ${import};
</#list>

/**
 * 
 * @author costo kml2Java Generator
 * this code requires costo.kml2java.jar
 * 
 */
public class ${name} ${extends?if_exists}{


<#list fields?if_exists as field>
${field.modifiers} ${field.type} ${field.name} <#if field.needsconstruction?if_exists>= new ${field.type}()</#if> ;
<#if field.hassetter?if_exists>public void ${field.settername}(${field.type} param) { ${field.name}=param;}</#if>
</#list>




<#list methods?if_exists as method>
//${method.debug?if_exists}
 <#if debug?if_exists> log("${debug}");</#if>
${method.modifiers} ${method.returntype} ${method.signature}{
${method.body};
}
</#list>

// constants
<#list constants?if_exists as field>
${field.modifiers} ${field.type} ${field.name} <#if field.isconst> = ${field.value} </#if>;
</#list>

public String toString(){
StringBuffer result=new StringBuffer("${name}: [");
<#list fields?if_exists as field>
result.append("${field.name}");
result.append(":");
result.append(${field.name});
<#if field_has_next>result.append(", ");</#if>
</#list>
result.append("]");
return result.toString();
}

}